Coolify logoCoolify
POST
/projects/{uuid}/environments

Create environment in project.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Project UUID

Request Body

application/json

Environment created.

TypeScript Definitions

Use the request body type in TypeScript.

name?string

The name of the environment.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/projects/string/environments" \  -H "Content-Type: application/json" \  -d '{}'
{  "uuid": "env123"}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
Empty
Empty
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}